/**
 * Created by lejard_h on 14/10/15.
 */

part of polymer_route_behavior;

class Page extends JsProxy {
  @reflectable
  final String path;

  @reflectable
  final String name;

  @reflectable
  final dynamic element;

  @reflectable
  final bool isDefault;

  @reflectable
  final bool menu;

  @reflectable
  final hideLeftNav;

  String toString() =>
      "{ name: $name, path: $path, element: $element, isDefault: $isDefault, menu: $menu, hideLeftNav: $hideLeftNav}";

  Page(this.name, this.path, this.element, {this.isDefault: false, this.menu: true, this.hideLeftNav: false});

  @reflectable
  enterRoute() {
    if (element != null) {
      try {
        element.enterRoute();
      } catch (e) {}
    }
  }
}
